# CSError

    @objc
    public final class CSError : NSError, CoreStoreObjectiveCType

All errors thrown from CoreStore are expressed in `CSError`s.

See also

`CoreStoreError`

- `errorDomain`

  The `NSError` error domain for `CSError`.

  See also

  `CoreStoreErrorErrorDomain`

  #### Declaration

  Swift

      @objc
      public static let errorDomain: String

### CoreStoreObjectiveCType

- `bridgeToSwift`

  #### Declaration

  Swift

      public var bridgeToSwift: CoreStoreError { get }

- `init(_:)`

  Do not call directly!

  #### Declaration

  Swift

      public init(_ swiftValue: CoreStoreError)